@charset "UTF-8";

body {
    font-family: "Microsoft JhengHei", "微軟正黑體", sans-serif;
    overflow-x: hidden;
}

img {
    max-width: 100% !important;
    height: auto !important;
}

header .navbar-div {

    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
}


header .navbar-div .navbar {
    position: relative;
    margin: 0 auto;
    padding: 0 0 0 1rem;
    transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

header .nav-div.flex-fill {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

header .nav-content {
    width: 100%;
}


header .navbar-div.shrink .navbar {
    padding: 0 0 0 10px;
    transition: all 0.3s ease-in-out;
}

header .navbar-brand {
    padding: 0;
}

header .navbar-brand a {
    text-decoration: none;
}

header .navbar-brand a .logo-img {
    max-height: 55px;
    transition: all 0.3s ease-in-out;
}

header .navbar-div.shrink .navbar-brand a .logo-img {
    max-height: 50px;
}



header .nav-menu {
    font-size: 18px;
    width: 100%;
}

header .nav-menu .item {
    position: relative;
    padding-left: 15px;
    padding-right: 15px;
    line-height: 61px;
}

header .nav-menu .item a {
    font-size: 18px;
    font-weight: bold;

    letter-spacing: 1px;
    text-decoration: none;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    top: 0;
    transition: all 0.3s ease-in-out;
}

@media screen and (max-width:1200px) {
    header .nav-menu .item a {
        font-size: 16px;
    }
}

header .nav-menu .item:hover a,
header .nav-menu .item.active a {

    transition: all 0.3s ease-in-out;
    top: 7px;
}

header .nav-menu .item.nav-contact {


    padding: 0;
    line-height: 70px;
}

header .navbar-div.shrink .nav-menu .item.nav-contact {
    line-height: 61px;
}

header .nav-menu .item.nav-contact a {
    display: flex;
    flex-direction: row;

    padding: 0 12px;
    top: 0;
}

@media screen and (max-width:1399px) {
    header .nav-menu .item.nav-contact a {
        padding: 0 7px;
    }
}

header .nav-menu .item.nav-contact a i {

    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;

    border-radius: 50%;
    margin-right: 10px;
}

@media (max-width: 1199px) {
    header .nav-menu .item.nav-contact a i {
        margin-right: 5px;
    }
}

header .nav-menu .item.nav-contact:hover {

    transition: all 0.3s ease-in-out;
}

header .nav-menu .item.nav-contact:hover a i {

    animation: swing 0.6s ease-in-out;
}

@keyframes swing {
    20% {
        -webkit-transform: rotate3d(0, 0, 1, 15deg);
        -ms-transform: rotate3d(0, 0, 1, 15deg);
        transform: rotate3d(0, 0, 1, 15deg)
    }

    40% {
        -webkit-transform: rotate3d(0, 0, 1, -10deg);
        -ms-transform: rotate3d(0, 0, 1, -10deg);
        transform: rotate3d(0, 0, 1, -10deg)
    }

    60% {
        -webkit-transform: rotate3d(0, 0, 1, 5deg);
        -ms-transform: rotate3d(0, 0, 1, 5deg);
        transform: rotate3d(0, 0, 1, 5deg)
    }

    80% {
        -webkit-transform: rotate3d(0, 0, 1, -5deg);
        -ms-transform: rotate3d(0, 0, 1, -5deg);
        transform: rotate3d(0, 0, 1, -5deg)
    }

    100% {
        -webkit-transform: rotate3d(0, 0, 1, 0deg);
        -ms-transform: rotate3d(0, 0, 1, 0deg);
        transform: rotate3d(0, 0, 1, 0deg)
    }
}

header .nav-menu .item.nav-contact::before {
    content: none;
}

header .nav-menu .item.nav-contact:hover::before {
    top: 0;

}


/*hover-icon*/

header .nav-menu .item::before {
    content: '';
    position: absolute;
    top: 8px;
    left: 50%;
    transform: translate(-50%, 0) scale(0);
    display: block;

    border-radius: 50%;
    width: 15px;
    height: 15px;
    transition: all 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    opacity: 0;
}


header .nav-menu .item:hover::before,
header .nav-menu .item.active::before {
    top: 59px;
    transform: translate(-50%, 0) scale(1) rotate(180deg);
    opacity: 1;
}

header .navbar-div.shrink .nav-menu .item:hover::before,
header .navbar-div.shrink .nav-menu .item.active::before {
    top: 53px;
}


@media screen and (max-width:1399px) {
    header .navbar-div .navbar {
        padding: 0 0 0 0.5rem;
    }
}


header .navbar-div.fixed {
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 11;
}

header .navbar-div.shrink {
    box-shadow: 0 4px 4px rgba(0, 0, 0, .2);
}

header .mobile-navbar .logo {
    color: #000;
    font-size: 30px;
    font-weight: bolder;
    text-decoration: none;
    letter-spacing: 0;
    font-family: Arial, Helvetica, sans-serif;
}

header .mobile-navbar .navbar-button-group {
    padding: 0 0.5rem 0 0;
}

header .mobile-navbar .navbar {

    flex-flow: nowrap;
    z-index: 2;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 5px;
    padding-right: 0px;
    transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
}

header .mobile-navbar .navbar.shrink {

    box-shadow: 0 4px 5px rgba(0, 0, 0, .1);
}

header .mobile-navbar .fixed-top {
    z-index: 1035;
    box-shadow: 0 4px 5px rgba(0, 0, 0, .2);
}

header .mobile-navbar .navbar-collapse {
    background-color: #ffffff;
}

header .mobile-navbar .logo-img img {
    max-height: 50px;
    transition: all 0.3s ease-in-out;
}

header .mobile-navbar .navbar.shrink .logo-img img {
    max-height: 40px;
}

header .mobile-navbar .mobile-navbar-content {
    height: calc(100vh - 125px);
    padding-top: 10px;
}

header .mobile-navbar .mobile-navbar-content .list {
    overflow: auto;
    height: 100%;
}

header .mobile-navbar .menu-btn {
    padding: 0px 6px;
}

header .mobile-navbar .menu-btn .burger {
    position: relative;
    width: 36px;
    height: 40px;
    z-index: 1001;
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: all 0.5s ease-in-out;
    -moz-transition: all 0.5s ease-in-out;
    -o-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
}

header .mobile-navbar .menu-btn .burger span {
    display: block;
    position: absolute;
    height: 3px;
    width: 100%;

    border-radius: 30px;
    opacity: 1;
    left: 0;
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: all 0.25s ease-in-out;
    -moz-transition: all 0.25s ease-in-out;
    -o-transition: all 0.25s ease-in-out;
    transition: all 0.25s ease-in-out;
}


header .mobile-navbar .menu-btn .burger span:nth-child(1) {
    top: 9px;
}

header .mobile-navbar .menu-btn .burger span:nth-child(2) {
    top: 20px;
}

header .mobile-navbar .menu-btn .burger span:nth-child(3) {
    top: 31px;
}

header .mobile-navbar .menu-btn:not(.collapsed) span:nth-child(1) {
    top: 20px;
    -moz-transform: rotate(135deg);
    -o-transform: rotate(135deg);
    -ms-transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
}

header .mobile-navbar .menu-btn:not(.collapsed) span:nth-child(2) {
    opacity: 0;
}

header .mobile-navbar .menu-btn:not(.collapsed) span:nth-child(3) {
    top: 20px;
    -moz-transform: rotate(-135deg);
    -o-transform: rotate(-135deg);
    -ms-transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
    transform: rotate(-135deg);
}



body.no-scroll header .mobile-navbar .navbar {
    box-shadow: none;
    transition: none;
    -moz-transition: none;
    -webkit-transition: none;
    border-bottom: 1px #e1e1e1 solid;
}

body.no-scroll header .mobile-navbar .navbar .logo .logo-img {
    display: block;
}

body.no-scroll header .mobile-navbar .navbar .logo .image-horizontal {
    display: none;
}

header .mobile-navbar .menu-item .link {
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    position: relative;
    padding-top: 23px;
    padding-bottom: 30px;
    border-bottom-width: 1px;
    border-bottom-style: dashed;
  
    width: 90%;
}

header .mobile-navbar .menu-item .link a {
    font-size: 18px;

    text-decoration: none;
    font-weight: bold;
}


header .mobile-navbar .mobile-navbar-content .community-link-group {
    padding-top: 25px;
    padding-bottom: 100px;
}

header .mobile-navbar .mobile-navbar-content .community-link {
    position: relative;
    width: 50px;
    height: 50px;
    background-repeat: no-repeat;
    background-position: center center;
    margin-left: 15px;
    margin-right: 15px;
    background-size: contain;
}

header .mobile-navbar-overlay {
    z-index: 1;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(255, 255, 255, 0.4);
}

.mob-show {
    display: none;
}

@media (max-width: 991px) {
    .mob-show {
        display: block !important;
    }

    .mob-hidden {
        display: none !important;
    }
}